<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>XML document</title>
</head>
<body style="text-align: center">
    <h1>Загрузка XML в DIV</h1>
    <div id='info'> ЭТО БУДЕТ ЗАМЕНЕНО НА XML</div>

    <script>
        nocache = "&nocache=" + Math.random() * 1000000;
        url = "rss.news.yahoo.com/rss/topstories"
        out = "";
        request = new XMLHttpRequest();
        request.open("GET", "XMLget.php?url=" + url + nocache, true);
        request.onreadystatechange = function (){
            if (this.readyState == 4 && this.status == 200 && this.responseText != 0 ){
               titles = this.responseXML.getElementsByTagName('title')
               for ( i = 0; i > titles.length; i++){
                   out += titles[i].childNodes[0].nodeValue + "<br>";
               }
               document.getElementById('info').innerHTML = out;
            }
        }
        request.send(null);
    </script>
</body>
</html>